package com.umfintech.umfpaysdk;

/**
 * dec:
 *
 * @author hanpeidong on 2019/8/29.
 */
public class SdkResult<T> {
    public static final int TYPE_SUCCESS = 1;//成功
    public static final int TYPE_FAILED = 0;//失败
    public static final int TYPE_UNKNOWN = 9;//未明
    public static final int TYPE_PROCESS = 2;//支付中
    public static final int TYPE_ERROR = 4;//接口失败

    private int sdkCode;
    private T result;

    public SdkResult(int sdkCode, T result) {
        this.sdkCode = sdkCode;
        this.result = result;
    }

    public int getSdkCode() {
        return sdkCode;
    }

    public void setSdkCode(int sdkCode) {
        this.sdkCode = sdkCode;
    }

    public T getResult() {
        return result;
    }

    public void setResult(T result) {
        this.result = result;
    }
}
