package com.umfintech.umfpaysdk.callback;

import android.content.Context;

import com.umfintech.umfpaysdk.SdkResult;
import com.umpay.payplugin.callback.UMCancelCardCallback;
import com.umpay.payplugin.util.FastJsonUtils;
import com.umpay.payplugin.util.UMPayLog;

import io.flutter.plugin.common.MethodChannel;

/**
 * dec:
 *
 * @author hanpeidong on 2019/8/2.
 */
public class CancelCardCallback extends BaseCallBack implements UMCancelCardCallback {
    public CancelCardCallback(Context context, MethodChannel.Result result) {
        super(context, result);
    }

    @Override
    public void onCancelSuccess() {
        UMPayLog.i("cancelCard",  "onCancelSuccess: 取消读卡成功");
        result.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("取消读卡成功"))));
    }

    @Override
    public void onCancelFail(String s) {
        UMPayLog.i("cancelCard",  "onCancelFail: 取消读卡失败");
        result.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_FAILED, getResultMessage("取消读卡失败"))));
    }
}
