package com.umfintech.umfpaysdk.callback;

import android.content.Context;
import android.util.Log;

import com.umfintech.umfpaysdk.SdkResult;
import com.umpay.payplugin.callback.UMBindCallBack;
import com.umpay.payplugin.util.FastJsonUtils;
import com.umpay.payplugin.util.UMPayLog;

import io.flutter.plugin.common.MethodChannel;

/**
 * dec:
 *
 * @author hanpeidong on 2019/8/2.
 */
public class DeviceBindCallBack extends BaseCallBack implements UMBindCallBack {
    public DeviceBindCallBack(Context context, MethodChannel.Result result) {
        super(context, result);
    }
    @Override
    public void bindException(Exception e) {
        UMPayLog.e("绑定失败！" + e.getMessage());
//        result.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_ERROR, getResultMessage("绑定失败！" + e.getMessage()))));
    }

    @Override
    public void bindSuccess() {
        Log.i("DeviceBindCallBack", FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("绑定成功"))));
//        result.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("绑定成功"))));
    }

    @Override
    public void bindDisconnected() {
        Log.i("DeviceBindCallBack", FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("断开绑定"))));
//        result.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_FAILED, getResultMessage("断开绑定"))));
    }
}
