package com.umfintech.umfpaysdk.callback;

import android.content.Context;

import com.umfintech.umfpaysdk.SdkResult;
import com.umpay.payplugin.callback.BasePrintCallback;
import com.umpay.payplugin.util.FastJsonUtils;
import com.umpay.payplugin.util.UMPayLog;

import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.MethodChannel;

/**
 * dec:
 *
 * @author hanpeidong on 2019/8/26.
 */
public class PrintCallback extends BaseCallBack implements BasePrintCallback {

    public PrintCallback(Context context, EventChannel.EventSink eventSink) {
        super(context, eventSink);
    }

    @Override
    public void onStart() {
        UMPayLog.i("print",  "onStart: ");
        eventSink.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("开始打印"))));
    }

    @Override
    public void onFinish() {
        UMPayLog.i("print",  "onFinish: ");
        eventSink.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_SUCCESS, getResultMessage("开始打印"))));
    }

    @Override
    public void onError(int i, String s) {
        UMPayLog.i("print",  "onError: ");
        eventSink.success(FastJsonUtils.toJson(new SdkResult<>(SdkResult.TYPE_ERROR, getResultMessage("打印错误: " + s))));
    }
}
