package com.umfintech.umfpaysdk;

import java.util.Map;

import io.flutter.plugin.common.EventChannel;

/**
 * dec:
 *
 * @author hanpeidong on 2019/8/2.
 */
public class CardPayStreamHandler implements EventChannel.StreamHandler {

    @Override
    public void onListen(Object arguments, EventChannel.EventSink eventSink) {
        Map argument = (Map) arguments;
        String eventType = (String) argument.get("eventType");
        if ("cardPay".equals(eventType)) {
            SdkManager.cardPay(new EventCall(arguments), eventSink);
        } else if ("bankRevoke".equals(eventType)) {
            SdkManager.bankRevoke(new EventCall(arguments), eventSink);
        } else if ("bankRefund".equals(eventType)) {
            SdkManager.bankRefund(new EventCall(arguments), eventSink);
        } else if ("print".equals(eventType)) {
            SdkManager.print(new EventCall(arguments), eventSink);
        }
    }

    @Override
    public void onCancel(Object o) {

    }
}
